/*
 * Tables.h
 *
 * Copyright (C) 1999 Karim Yaghmour.
 *
 * This is distributed under GPL.
 *
 * Tables for data for the trace toolkit.
 *
 * History : 
 *    K.Y., 29/10/1999, Initial typing.
 */

/* Number of events defined */
extern int MaxEventID;

/* Event structure sizes */
extern int**   EventStructSize;
#define EVENT_STRUCT_SIZE(X)  ((int) (EventStructSize[X]))

/* Event description strings */
extern char** EventID;
#define EVENT_STR(X)  ((char*) (EventID[X]))

/* Event strings the user can specify at the command line to omit or trace */
extern char** EventOT;
#define EVENT_OT(X)  ((char*) (EventOT[X]))

/* System call name according to it's ID */
extern char** SyscallID;
#define SYSCALL_STR(X)  ((char*) (SyscallID[X]))

/* Trap according to it's ID */
extern char** TrapID;
#define TRAP_STR(X)  ((char*) (TrapID[X]))

/* Function definitions */
void  TSetTraceType
          (int   /* Trace type as defined in LinuxEvents.h */);
